package garage;

import vehicle.Vehicle;

import java.util.ArrayList;
import java.util.List;

public class TestBench {

    private Vehicle vehicle;
    private List<Task> tasks;

    private Double distance;

    public TestBench() {
        tasks = new ArrayList<>();
        vehicle = null;
    }

    public void addVehicle(Vehicle vehicle){
        if(this.vehicle == null){
            this.vehicle = vehicle;
        }else{
            System.out.println("A car is already on the testbench");
        }
    }

    public void removeVehicle(){
        if(this.vehicle != null){
            this.vehicle = null;
        }else{
            System.out.println("No vehicle in the test bench.");
        }
    }

    public Vehicle swapVehicle(Vehicle vehicule){
        if(this.vehicle != null){
            Vehicle temp = this.vehicle;
            this.vehicle = vehicule;
            return temp;
        }else{
            System.out.println("No vehicle in the test bench.");
            return null;
        }
    }

    public void addTask(Task task){
        tasks.add(task);
    }

    public void removeTask(Task task){
        tasks.remove(task);
    }

    public Vehicle getVehicle(){
        return this.vehicle;
    }

    public List<Task> getTasks(){
        return tasks;
    }

}
